import { useEffect } from 'react';
import reox from '../../../dist';
import '../style.less';

const store = reox({
  count: 0,
});


export default function HomePage() {
  const { count } = store;
  return (
    <div className="container">
      <p className="title">Reox x Vis</p>
      <p className="display-count">{count}</p>
      <div>
        <button onClick={() => store.count++}>+</button>
        <button onClick={() => store.count--}>-</button>
      </div>
    </div>
  );
}
